/// <reference types="angular" />
import { SettingsServiceSubscriber, Settings, SettingsService } from "../core/settings/settings.service";
import { CodeMapBuildingTransition, CodeMapControllerSubscriber } from "./codeMapComponent";
/**
 * Main service to manage the state of the rendered code map
 */
export declare class CodeMapService implements SettingsServiceSubscriber, CodeMapControllerSubscriber {
    private threeSceneService;
    private treeMapService;
    private $rootScope;
    private settingsService;
    static SELECTOR: string;
    private mapMesh;
    private labelManager;
    private arrowManager;
    private currentSortedNodes;
    private currentRenderSettings;
    constructor(threeSceneService: any, treeMapService: any, $rootScope: any, settingsService: SettingsService);
    onBuildingHovered(data: CodeMapBuildingTransition, event: angular.IAngularEvent): void;
    onBuildingSelected(data: CodeMapBuildingTransition, event: angular.IAngularEvent): void;
    onSettingsChanged(settings: Settings, event: Event): void;
    /**
     * Applies the given settings and redraws the scene
     * @param {Settings} s
     * @listens {settings-changed}
     */
    applySettings(s: Settings): void;
    updateMapGeometry(s: any): void;
    /**
     * scales the scene by the given values
     * @param {number} x
     * @param {number} y
     * @param {number} z
     */
    scaleMap(x: any, y: any, z: any): void;
}
