import * as THREE from "three";
import { node } from "./node";
import { renderSettings } from "./renderSettings";
import { CodeMapDependency } from "../../core/data/model/CodeMap";
export declare class ArrowManager {
    private parentObjectInScene;
    private arrows;
    constructor(argParentObjectInScene: THREE.Object3D);
    private makeArrowFromBezier(bezier, hex?, headLength?, headWidth?, bezierPoints?);
    clearArrows(): void;
    addCodeMapDependenciesFromOriginAsArrows(origin: node, nodes: node[], deps: CodeMapDependency[], settings: renderSettings): void;
    addCodeMapDependenciesAsArrows(nodes: node[], deps: CodeMapDependency[], settings: renderSettings): void;
    private getPathToNodeMap(nodes);
    private getPathFromNode(node);
    addArrow(arrowTargetNode: node, arrowOriginNode: node, settings: renderSettings): void;
    scale(x: number, y: number, z: number): void;
}
