import { DataServiceSubscriber, DataService, DataModel } from "../../core/data/data.service";
import { SettingsService } from "../../core/settings/settings.service";
import { CodeMap } from "../../core/data/model/CodeMap";
/**
 * Controls the RevisionChooser
 */
export declare class RevisionChooserController implements DataServiceSubscriber {
    private dataService;
    private settingsService;
    revisions: CodeMap[];
    ui: {
        chosenReference: any;
        chosenComparison: any;
    };
    /**
     * @listens {data-changed}
     * @constructor
     * @param {DataService} dataService
     */
    constructor(dataService: DataService, settingsService: SettingsService);
    onDataChanged(data: DataModel): void;
    onReferenceChange(map: CodeMap): void;
    onComparisonChange(map: CodeMap): void;
    loadComparisonMap(key: number): void;
    loadReferenceMap(key: number): void;
    private getIndexOfMap(map, mapArray);
}
export declare const revisionChooserComponent: {
    selector: string;
    template: any;
    controller: typeof RevisionChooserController;
};
